org.apache.olingo.commons.api.data

## Enum ContextURL.Suffix

- java.lang.Object
- - java.lang.Enum<ContextURL.Suffix>
  - - org.apache.olingo.commons.api.data.ContextURL.Suffix

- All Implemented Interfaces:
    Serializable, Comparable<ContextURL.Suffix>
  Enclosing class:
    ContextURL

      public static enum ContextURL.Suffix
      extends Enum<ContextURL.Suffix>

  Suffix of the OData Context URL

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELTA` Suffix for deltas (changes)
    `DELTA_DELETED_ENTITY` Suffix for deleted entities in deltas
    `DELTA_DELETED_LINK` Deleted links in deltas
    `DELTA_LINK` New links in deltas
    `ENTITY` Suffix for Entities
    `REFERENCE` Suffix for References

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRepresentation()` Returns OData representation of the suffix
    `static ContextURL.Suffix` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ContextURL.Suffix[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENTITY

          public static final ContextURL.Suffix ENTITY

      Suffix for Entities

    - #### REFERENCE

          public static final ContextURL.Suffix REFERENCE

      Suffix for References

    - #### DELTA

          public static final ContextURL.Suffix DELTA

      Suffix for deltas (changes)

    - #### DELTA_DELETED_ENTITY

          public static final ContextURL.Suffix DELTA_DELETED_ENTITY

      Suffix for deleted entities in deltas

    - #### DELTA_LINK

          public static final ContextURL.Suffix DELTA_LINK

      New links in deltas

    - #### DELTA_DELETED_LINK

          public static final ContextURL.Suffix DELTA_DELETED_LINK

      Deleted links in deltas

  - ### Method Detail

    - #### values

          public static ContextURL.Suffix[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContextURL.Suffix c : ContextURL.Suffix.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContextURL.Suffix valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getRepresentation

          public String getRepresentation()

      Returns OData representation of the suffix
      Returns:
        Representation of the suffix

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.